| Home | Libraries | People | FAQ | More

## Struct template modulus_assign

boost::proto::modulus_assign — A metafunction for generating modulus-assign expression types, a grammar element for matching modulus-assign expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    template<typename T, typename U>
    struct modulus_assign :  proto::transform< modulus_assign<T, U> > {
      // types
      typedef proto::expr< proto::tag::modulus_assign, proto::list2< T, U > > type;
      typedef type                                                            proto_base_expr;
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<modulus_assign>::template impl<Expr, State, Data>
      {
      };
    };

## Description